import 'package:contentsquare_webview_flutter/contentsquare_webview_flutter.dart';
import 'package:contentsquare_example/src/widgets/app_bar.dart';
import 'package:flutter/material.dart';
import 'package:webview_flutter/webview_flutter.dart';

class TrackedFlutterWebViewScreen extends StatefulWidget {
  const TrackedFlutterWebViewScreen({Key? key}) : super(key: key);

  @override
  State<TrackedFlutterWebViewScreen> createState() =>
      _TrackedFlutterWebViewScreenState();
}

class _TrackedFlutterWebViewScreenState
    extends State<TrackedFlutterWebViewScreen> {
  final _webViewController = WebViewController();

  @override
  Widget build(BuildContext context) {
    final url = 'https://tupeuxpastest.csq.io/mobile/web-view-cart.html';
    return Scaffold(
      appBar: appBar(title: 'Tracked (webview_flutter)'),
      body: ContentsquareWebViewFlutterTrackerBuilder(
        webViewController: _webViewController,
        onTrackingReady: () => _webViewController.loadRequest(Uri.parse(url)),
        child: WebViewWidget(controller: _webViewController),
      ),
    );
  }
}
