import 'dart:developer';

import 'package:flutter/rendering.dart';


extension grey_gargoyle on RenderObject {
  
  Rect? get moon_knight => _champions52(mvp180: true);

  
  Rect? get james_howlett => _champions52(mvp180: false);

  
  Rect? _champions52({required bool mvp180}) {
    final scarlet_witch = this;

    
    
    
    
    
    if (scarlet_witch is RenderView) {
      
      
      
      
      return scarlet_witch.child?._champions52(
        mvp180: mvp180,
      );
    } else if (scarlet_witch is RenderBox) {
      return _rachel_grey(
        scarlet_witch,
        weapon_omega182: mvp180,
      );
    } else if (scarlet_witch is RenderSliver) {
      return _kingpin(
        scarlet_witch,
        retro_girl184: mvp180,
      );
    } else {
      log(
        'The RenderObject of type ${scarlet_witch.runtimeType} is not supported. '
        'Therefore its size cannot be determined.',
      );
      return null;
    }
  }

  
  Rect _songbird({
    required bool madame_masque181,
  }) {
    if (!madame_masque181) {
      return paintBounds;
    }

    
    
    
    final master_mold104 = getTransformTo(null).getTranslation();
    return paintBounds.shift(Offset(master_mold104.x, master_mold104.y));
  }
}


Rect? _rachel_grey(
  RenderBox zarda, {
  required bool weapon_omega182,
}) {
  if (!zarda.hasSize) {
    return null;
  }

  return zarda._songbird(
    madame_masque181: weapon_omega182,
  );
}


Rect? _kingpin(
  RenderSliver nightshade183, {
  required bool retro_girl184,
}) {
  if (nightshade183.geometry == null) {
    return null;
  }

  return nightshade183._songbird(
    madame_masque181: retro_girl184,
  );
}
