import 'package:contentsquare/src/shared/utils/widgets_binding.dart';
import 'package:flutter/widgets.dart';
import 'package:flutter_test/flutter_test.dart';

void main() {
  group(
    'WidgetsBinding.safeInstance',
    () {
      testWidgets(
        'should return a $WidgetsBinding instance '
        'when WidgetsBinding are initialized',
        (tester) async {
          expect(WidgetsBindingExtension.safeInstance, isA<WidgetsBinding>());
        },
      );
    },
  );
}
