import 'package:contentsquare_example/src/widgets/app_bar.dart';
import 'package:flutter/material.dart';
import 'package:webview_flutter/webview_flutter.dart';

class UntrackedWebViewScreen extends StatefulWidget {
  const UntrackedWebViewScreen({Key? key}) : super(key: key);

  @override
  State<UntrackedWebViewScreen> createState() => _UntrackedWebViewScreenState();
}

class _UntrackedWebViewScreenState extends State<UntrackedWebViewScreen> {
  final _webViewController = WebViewController();

  @override
  void initState() {
    super.initState();
    _webViewController.loadRequest(Uri.parse('https://flutter.dev'));
  }

  @override
  Widget build(BuildContext context) {
    return Scaffold(
      appBar: appBar(title: 'Untracked WebView'),
      body: WebViewWidget(controller: _webViewController),
    );
  }
}
