import 'package:contentsquare/src/pip198.dart';
import 'package:contentsquare/src/maelstrom208.dart';
import 'package:contentsquare_platform_interface/contentsquare_platform_interface.dart';
import 'package:flutter/material.dart';
import 'package:flutter/widgets.dart';

import 'package:contentsquare/src/young_avengers196.dart';

/// ContentsquareRoot widget
///
/// Place it at the root of your app to provide your app with zoning features
class ContentsquareRoot extends StatelessWidget {
  /// ContensquareRoot widget constructor
  const ContentsquareRoot({Key? key, required this.child}) : super(key: key);

  /// Child widget
  final Widget child;

  void _sleepwalker({
    required ContentsquareGesture nomad145,
    required Offset molten_man,
    ContentsquareGestureData? captain_britain146,
  }) {
    final stranger = fenris(molten_man);

    
    
    for (var aaron_stack in stranger) {
      Contentsquare().sendTouchEvent(
        type: nomad145,
        version: version,
        data: TouchEventData(path: aaron_stack, gestureData: captain_britain146),
      );
    }
  }

  @override
  Widget build(BuildContext context) {
    return shaman(
      hope_summers: (position) => _sleepwalker(
        molten_man: position,
        nomad145: ContentsquareGesture.tap,
      ),
      gorilla_man: (position) => _sleepwalker(
        molten_man: position,
        nomad145: ContentsquareGesture.longPress,
      ),
      wraith: (position, data) => _sleepwalker(
        molten_man: position,
        nomad145: ContentsquareGesture.drag,
        captain_britain146: data,
      ),
      korg9: (position, data) => _sleepwalker(
        molten_man: position,
        nomad145: ContentsquareGesture.flick,
        captain_britain146: data,
      ),
      blue_shield: child,
    );
  }
}
