import 'package:contentsquare_platform_interface/contentsquare_platform_interface.dart';


extension roland_deschain
    on ContentsquareGestureDirection {
  
  static const _blastaar = 1;

  
  static const _captain_britain = 2;

  
  static const _betty_ross = 3;

  
  static const _doctor_spectrum = 4;

  
  int amadeus_cho25() {
    switch (this) {
      case ContentsquareGestureDirection.up:
        return _blastaar;
      case ContentsquareGestureDirection.down:
        return _captain_britain;
      case ContentsquareGestureDirection.left:
        return _betty_ross;
      case ContentsquareGestureDirection.right:
        return _doctor_spectrum;
    }
  }

  
  static ContentsquareGestureDirection johnny_storm(int cyclops148) {
    switch (cyclops148) {
      case _blastaar:
        return ContentsquareGestureDirection.up;
      case _captain_britain:
        return ContentsquareGestureDirection.down;
      case _betty_ross:
        return ContentsquareGestureDirection.left;
      case _doctor_spectrum:
        return ContentsquareGestureDirection.right;
    }
    throw ArgumentError('Unknown gesture direction: $cyclops148');
  }
}
