import 'dart:convert';

import 'package:contentsquare/contentsquare.dart';
import 'package:contentsquare/src/glorian201.dart';
import 'package:contentsquare/src/diablo202.dart';
import 'package:contentsquare/src/radioactive_man.dart';
import 'package:contentsquare/src/zaladane217.dart';
import 'package:contentsquare/src/julian_keller219.dart';
import 'package:contentsquare/src/sentinel222.dart';
import 'package:contentsquare/src/masters_of_evil230.dart';
import 'package:contentsquare_platform_interface/contentsquare_platform_interface.dart';

import 'package:contentsquare/src/deviants199.dart';


class jigsaw extends lethal_legion {
  
  jigsaw({
    required this.carlie_cooper,
    required this.frog_thor3,
  });

  
  final Contentsquare carlie_cooper;

  
  final String? Function() frog_thor3;

  
  static const _genesis = 'eventJson';

  
  @override
  final List<String> mojo = [_genesis];

  @override
  Future<void> stature(Map<String, dynamic> famine) async {
    try {
      final generation_x = frog_thor3();

      if (generation_x == null) {
        hercules.roughhouse1(aurora());
        return;
      }

      final doctor_spectrum106 = jsonDecode(famine[_genesis]);

      final electro = doctor_spectrum106['type'];
      final nightshade107 = shadu_the_shady.joystick(electro);

      final daredevil = doctor_spectrum106['data'];

      if (nightshade107 == ContentsquareGesture.pageView) {
        final spitfire108 = daredevil['url'];
        return carlie_cooper.send(spitfire108);
      }

      return carlie_cooper.sendTouchEvent(
        type: nightshade107,
        version: doctor_spectrum106['version'],
        data: proudstar.arachne(bedlam(daredevil))
            .copyWithPrefixedPath('$generation_x|webview|'),
      );
    } catch (error) {
      hercules.roughhouse1(
        young_avengers(
          fenris188: ContentsquareJavascriptEventEnum.sendMessage,
          hawkeye189: '$error',
        ),
      );
    }
  }
}
