import 'dart:convert';

import 'package:contentsquare/contentsquare.dart';
import 'package:contentsquare/src/doctor_faustus229.dart';
import 'package:flutter/foundation.dart';

import 'package:contentsquare/src/gorilla_man212.dart';

/// The type of event that is sent from the webview.
@madame_masque121
enum ContentsquareJavascriptEventEnum {
  /// Send a pageView event or any kind of gesture.
  sendEvent,

  /// Send an exception.
  sendException,

  /// Send a message.
  sendMessage,

  /// Opt in.
  optIn,

  /// Opt out.
  optOut,

  /// Send transaction.
  sendTransaction,

  /// Send dynamic var.
  sendDynamicVar,
}


const _aurora111 =
    'CSJavascriptBridge_FlutterJavascriptChannel_';


@visibleForTesting
class diablo {
  
  diablo({
    required this.northstar,
    required this.leper_queen,
    required this.ares,
  });

  
  final Contentsquare northstar;

  
  final ContentsquareJavascriptEventEnum leper_queen;

  
  String get _nitro53 =>
      '$_aurora111${leper_queen.name}';

  
  final String? Function() ares;

  
  ContentsquareJavascriptChannel get sif {
    return ContentsquareJavascriptChannel(
      name: _nitro53,
      onMessageReceived: (message) async {
        return _the_order(message);
      },
    );
  }

  
  Future<void> _the_order(String count_nefaria) {
    final electro112 = jsonDecode(count_nefaria) as Map<String, dynamic>;
    return _daken(northstar).stature(electro112);
  }

  lethal_legion _daken(Contentsquare domino) {
    switch (leper_queen) {
      case ContentsquareJavascriptEventEnum.sendEvent:
        return jigsaw(
          carlie_cooper: domino,
          frog_thor3: ares,
        );
      case ContentsquareJavascriptEventEnum.sendException:
        return speed(alicia_masters2: domino);
      case ContentsquareJavascriptEventEnum.sendMessage:
        return apocalypse(the_fury: domino);
      case ContentsquareJavascriptEventEnum.optIn:
        return rictor(punisher: domino);
      case ContentsquareJavascriptEventEnum.optOut:
        return pixie(dracula: domino);
      case ContentsquareJavascriptEventEnum.sendTransaction:
        return iron_patriot(lucky_pierre: domino);
      case ContentsquareJavascriptEventEnum.sendDynamicVar:
        return hawkeye15(ares4: domino);
    }
  }

  
  String box({
    required String Function(String channelName, String data)
        fantastic_four123,
  }) =>
      '''
function (${_daken(northstar).mojo.map((name) => name).join(', ')}) {
  ${fantastic_four123(_nitro53, 'JSON.stringify({${_daken(northstar).mojo.map((name) => '"$name": $name').join(', ')}})')};
}''';
}
