import 'package:contentsquare/src/modules/webview_tracking/exceptions/unsupported_platform_exception.dart';
import 'package:flutter_test/flutter_test.dart';

void main() {
  group(
    '$UnsupportedPlatformException',
    () {
      final instance = UnsupportedPlatformException();

      test(
        'SHOULD be an instance of the $Exception',
        () {
          expect(instance, isA<Exception>());
        },
      );

      test(
        'SHOULD have expected toString() message',
        () {
          const expected = 'Platform TargetPlatform.android is not supported.';

          expect(instance.toString(), equals(expected));
        },
      );
    },
  );
}
