import 'package:contentsquare/src/modules/webview_tracking/exceptions/web_view_not_created_screengraph_retrieval_exception.dart';
import 'package:flutter_test/flutter_test.dart';

void main() {
  group(
    '$WebViewNotCreatedScreengraphRetrievalException',
    () {
      final instance = WebViewNotCreatedScreengraphRetrievalException();

      test(
        'SHOULD be an instance of the $Exception',
        () {
          expect(instance, isA<Exception>());
        },
      );

      test(
        'SHOULD have expected toString() message',
        () {
          const expected =
              'Tried to get screen graph but WebView has not been created yet.';

          expect(instance.toString(), equals(expected));
        },
      );
    },
  );
}
